--- old/usr/src/lib/libxnet/common/mapfile-vers	Sun Aug  5 23:41:07 2018
+++ new/usr/src/lib/libxnet/common/mapfile-vers	Sun Aug  5 23:41:07 2018
@@ -58,7 +58,7 @@
 	if_indextoname		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	if_nameindex		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	if_nametoindex		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	sockatmark		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	sockatmark		{ TYPE = FUNCTION; FILTER = libc.so.1 };
 } SUNW_1.2;
 
 SYMBOL_VERSION SUNW_1.2 {
@@ -77,15 +77,15 @@
 SYMBOL_VERSION SUNW_1.1 {
     global:
 	__t_errno		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
-	__xnet_bind		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_connect		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_getsockopt	{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_listen		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_recvmsg		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_sendmsg		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_sendto		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_socket		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	__xnet_socketpair	{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	__xnet_bind		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_connect		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_getsockopt	{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_listen		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_recvmsg		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_sendmsg		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_sendto		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_socket		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	__xnet_socketpair	{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	_xti_accept		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
 	_xti_alloc		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
 	_xti_bind		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
@@ -113,9 +113,9 @@
 	_xti_strerror		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
 	_xti_sync		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
 	_xti_unbind		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
-	accept			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	bind			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	connect			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	accept			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	bind			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	connect			{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	endhostent		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
 	endnetent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	endprotoent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
@@ -127,7 +127,7 @@
 	getnetbyaddr		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	getnetbyname		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	getnetent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	getpeername		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	getpeername		{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	getprotobyname		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	getprotobynumber	{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	getprotoent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
@@ -134,8 +134,8 @@
 	getservbyname		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	getservbyport		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	getservent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	getsockname		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	getsockopt		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	getsockname		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	getsockopt		{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	h_errno {
 		TYPE = DATA;
 		SIZE = 0x4;
@@ -150,23 +150,23 @@
 	inet_netof		{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	inet_network		{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	inet_ntoa		{ TYPE = FUNCTION; FILTER = libc.so.1 };
-	listen			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	listen			{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	ntohl			{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	ntohs			{ TYPE = FUNCTION; FILTER = libc.so.1 };
-	recv			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	recvfrom		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	recvmsg			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	send			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	sendmsg			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	sendto			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	recv			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	recvfrom		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	recvmsg			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	send			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	sendmsg			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	sendto			{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	sethostent		{ TYPE = FUNCTION; FILTER = libnsl.so.1 };
 	setnetent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	setprotoent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
 	setservent		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	setsockopt		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	shutdown		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	socket			{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
-	socketpair		{ TYPE = FUNCTION; FILTER = libsocket.so.1 };
+	setsockopt		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	shutdown		{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	socket			{ TYPE = FUNCTION; FILTER = libc.so.1 };
+	socketpair		{ TYPE = FUNCTION; FILTER = libc.so.1 };
 	t_errno {
 		TYPE = DATA;
 		SIZE = 0x4;
